@import 'font.scss';

body {
    font-family: 'Kanit-SemiBold', tahoma;
    font-size: 16px;
    padding:0;
    margin:0;
    background-color: #000;
    @media(max-width: 640px) {
        font-size: 14px;
    }
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}
ul, li {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}
.page {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 1000;
    &__loading {
        display: block;
        width: 100%;
        height: 100%;
        text-align: center;
        color: #FFFFFF;
        vertical-align: middle;
        font-size: 30px;
        background-color: rgba(0,0,0,0.6);
        &:before {
            content: "";
            display: inline-block;
            height: 100%;
            width: 0px;
            vertical-align: middle;
        }
    }
    &.close {
        display: none;
    }
}
img{
    max-width: 100%;
    max-height: 100%;
}
.archer{
    background:url("../static/images/bg.jpg")top center no-repeat #2a2506;
    background-size: cover;
    padding: 980px 0 2%;
    @media(max-width: 1060px) {
        padding: 89% 0 2%;
    }
    @media(max-width: 640px) {
        background:url("../static/images/bg_mb.jpg")top center no-repeat;
        background-size: 100%;
        padding: 150% 0 0;
    }
    &__btngroup{
        position: absolute;
        top: 2vw;
        right: 2%;
        width: 100%;
        text-align: right;
        >a,>div{
            width: 5%;
            display: inline-block;
            margin: 0 .5%;
            min-width: 80px;
            cursor: pointer;
            @media(max-width: 640px) {
                min-width: 75px;
            }
        }
        // >div{
        //     cursor: pointer;
        // }
        img{
            display: block;
        }
    }
    &__scroll {
        text-align: center;
        width:100%;
        position: absolute;
        top: 860px;
        >img{
            animation: mover 1s infinite alternate;
        }
        @media(max-width: 1060px) {
            top: 78vw;
        }
        @media(max-width: 640px) {
            top: 129vw;
        }
    }
    &__board-reward{
        position: relative;
        background:url("../static/images/board_reward.png")top center no-repeat;
        background-size: cover;
        width: 95%;
        max-width: 1060px;
        max-height: calc(1060px * (1437 / 1056));
        height: calc(95vw * (1437 / 1056));
        margin: 0 auto;
        position: relative;
        @media(max-width: 640px) {
            background:url("../static/images/board_reward_mb.png")top center no-repeat;
            background-size: cover;
            height: calc(95vw * (1896/597));
            max-height: unset;
        }
    }
    &__board-reward2{
        position: relative;
        background:url("../static/images/board_reward2.png")top center no-repeat;
        background-size: cover;
        width: 95%;
        max-width: 1060px;
        max-height: calc(1060px * (1437 / 1056));
        height: calc(95vw * (1437 / 1056));
        margin: 5% auto 0;
        position: relative;
        @media(max-width: 640px) {
            background:url("../static/images/board_reward2_mb.png")top center no-repeat;
            background-size: cover;
            height: calc(95vw * (1729/597));
            max-height: unset;
            margin: 7% auto 0;
        }
    }
    &__board-buy{
        position: relative;
        background:url("../static/images/board_buy.png")top center no-repeat;
        background-size: cover;
        width: 95%;
        max-width: 1060px;
        max-height: calc(1060px * (970 / 1050));
        height: calc(95vw * (970 / 1050));
        margin: 5% auto 0;
        position: relative;
        @media(max-width: 640px) {
            background:url("../static/images/board_buy_mb.png")top center no-repeat;
            background-size: cover;
            width: 100%;
            height: calc(100vw * (1503/640));
            max-height: unset;
            margin: -12% auto 0;
        }
    }
    &__view{
        position: absolute;
        width: 5%;
        bottom: 30%;
        right: 9%;
        cursor: pointer;
        @media(max-width: 640px) {
            display: none;
        }
    }
    &__registered{
        position: absolute;
        top: 70%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        text-align: center;
        @media(max-width: 640px) {
            top: 60%;
        }
        img{
            margin: 0 auto 2% auto;
            width: 90%;
            display: block;
            @media(max-width: 640px) {
                width: 80%;
                margin: 0 auto;
            }
        }
    }
    &__nonregister{
        position: absolute;
        top: 70%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        text-align: center;
        @media(max-width: 640px) {
            top: 55%;
        }
        >img{
            margin: 0 auto 4% auto;
            width: 60%;
            display: block;
            @media(max-width: 640px) {
                width: 80%;
                margin: 0 auto 10% auto;
            }
        }
    }
    &__btn-register{
        background:url("../static/images/btn_register.png")top center no-repeat;
        background-size: 100% auto;
        width: 25%;
        padding-top: calc(25%*(106/310));
        cursor: pointer;
        display: block;
        margin: 0 auto;
        @media(min-width: 640px) {
            &:hover{
                background-position: bottom center;
            }
        }
        @media(max-width: 640px) {
            display: block;
            margin: 3% auto;
            width: 50%;
            padding-top: calc(50%*(106/310));
        }
        &.disable{
            background:url("../static/images/btn_register_disable.png")top center no-repeat;
            background-size: 100% auto;
            pointer-events: none;
            cursor: default;
            &:hover{
                background-position: top center;
            }
        }
    }
    &__btn-pack1{
        background:url("../static/images/btn_pack1.png")top center no-repeat;
        background-size: 100% auto;
        width: 25%;
        padding-top: calc(25%*(106/310));
        cursor: pointer;
        display: inline-block;
        margin: 6% 3% 0;
        @media(min-width: 640px) {
            &:hover{
                background-position: bottom center;
            }
        }
        @media(max-width: 640px) {
            display: block;
            margin: 3% auto;
            width: 50%;
            padding-top: calc(50%*(106/310));
        }
        &.disable{
            background:url("../static/images/btn_pack1_disable.png")top center no-repeat;
            background-size: 100% auto;
            pointer-events: none;
            cursor: default;
            &:hover{
                background-position: top center;
            }
        }
    }
    &__btn-pack2{
        background:url("../static/images/btn_pack2.png")top center no-repeat;
        background-size: 100% auto;
        width: 25%;
        padding-top: calc(25%*(106/310));
        cursor: pointer;
        display: inline-block;
        margin: 6% 3% 0;
        @media(min-width: 640px) {
            &:hover{
                background-position: bottom center;
            }
        }
        @media(max-width: 640px) {
            display: block;
            margin: 3% auto;
            width: 50%;
            padding-top: calc(50%*(106/310));
        }
        &.disable{
            background:url("../static/images/btn_pack2_disable.png")top center no-repeat;
            background-size: 100% auto;
            pointer-events: none;
            cursor: default;
            &:hover{
                background-position: top center;
            }
        }
    }
    &__btn-preorder{
        background:url("../static/images/btn_buy.png")top center no-repeat;
        background-size: 100% auto;
        width: 25%;
        padding-top: calc(25%*(106/310));
        cursor: pointer;
        display: inline-block;
        margin: 0 1%;
        position: absolute;
        &--left{
            bottom: 8%;
            left: 13%;
            @media(max-width: 640px) {
                bottom: 33%;
                left: 50%;
                transform: translate(-50%, 0%);
            }
        }
        &--right{
            bottom: 8%;
            right: 13%;
            @media(max-width: 640px) {
                bottom: -24%;
                left: 50%;
                transform: translate(-50%, 0%);
            }
        }
        @media(min-width: 640px) {
            &:hover{
                background-position: bottom center;
            }
        }
        @media(max-width: 640px) {
            display: block;
            margin: 3% auto;
            width: 50%;
            padding-top: calc(50%*(106/310));
        }
        &.disable{
            background:url("../static/images/btn_buy_disable.png")top center no-repeat;
            background-size: 100% auto;
            pointer-events: none;
            cursor: default;
            &:hover{
                background-position: top center;
            }
        }
    }

    &__btn-description{
        background:url("../static/images/btn_detail.png")top center no-repeat;
        background-size: 100% auto;
        width: 25%;
        padding-top: calc(25%*(106/310));
        cursor: pointer;
        display: inline-block;
        margin: 0 1%;
        position: absolute;
        &--center{
            bottom: 8%;
            left: 50%;
            margin-left: -132px;
            @media(max-width: 768px) {
                bottom: 33%;
                left: 50%;
                margin-left: 0;
                transform: translate(-50%, 0%);
            }
            @media(max-width: 640px) {
                bottom: 33%;
                left: 50%;
                margin-left: 0;
                transform: translate(-50%, 0%);
            }
        }
        &--left{
            bottom: 8%;
            left: 13%;
            @media(max-width: 640px) {
                bottom: 33%;
                left: 50%;
                transform: translate(-50%, 0%);
            }
        }
        &--right{
            bottom: 8%;
            right: 13%;
            @media(max-width: 640px) {
                bottom: -24%;
                left: 50%;
                transform: translate(-50%, 0%);
            }
        }
        @media(min-width: 640px) {
            &:hover{
                background-position: bottom center;
            }
        }
        @media(max-width: 640px) {
            display: block;
            margin: 3% auto;
            width: 50%;
            padding-top: calc(50%*(106/310));
        }
    }
}


.h-login-text{
    position: relative;
    top: 650px;
    text-align: center;
}

.userinfo{
    position: absolute;
    left: 0;
    bottom: 54%;
    font-size: 1.2em;
    color: #65431d;
    width: 100%;
    text-align: center;
    @media(max-width: 768px) {
        bottom: 45%;
    }
    @media(max-width: 640px) {
        font-size: 4vw;
        margin-bottom: 50px;
        bottom: 50%;
    }
}